package com.blogspot.lucbors.view.beans;

import java.util.Iterator;

import javax.faces.event.ActionEvent;

import oracle.adf.view.rich.component.rich.data.RichTable;

import oracle.adf.view.rich.render.ClientEvent;

import org.apache.myfaces.trinidad.model.CollectionModel;
import org.apache.myfaces.trinidad.model.RowKeySet;
import org.apache.myfaces.trinidad.model.RowKeySetImpl;

public class MultiSelectBean {
  private RichTable empTable;

  public MultiSelectBean() {
  }

  public void selectAll(ActionEvent actionEvent) {
    // Add event code here...
    selectAllRowsInTable();
  }

  public void selectAllRowsInTable() {
    RowKeySet rks = new RowKeySetImpl();

    CollectionModel model = (CollectionModel)empTable.getValue();

    int rowcount = model.getRowCount();

    for (int i = 0; i < rowcount; i++) {
      model.setRowIndex(i);
      Object key = model.getRowKey();
      rks.add(key);
    }

    empTable.setSelectedRowKeys(rks);
  }


  public void setEmpTable(RichTable empTable) {
    this.empTable = empTable;
  }

  public RichTable getEmpTable() {
    return empTable;
  }

  public void selectAllRows(ClientEvent clientEvent) {
    selectAllRowsInTable();
  }

  public void checkSelected(ActionEvent actionEvent) {
    // Add event code here...

    Iterator it = empTable.getSelectedRowKeys().iterator();

    System.out.println("we have " + empTable.getSelectedRowKeys().size() + " rows selected");
    while (it.hasNext()) {
      Object key = it.next();
      System.out.println(key);
    }
  }
}
